<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>CertificatesToPlayWith xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../testapidocs/org/apache/http/conn/ssl/CertificatesToPlayWith.html">View Javadoc</a></div><pre>

<a class="jxr_linenumber" name="1" href="#1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="2" href="#2">2</a>   <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="3" href="#3">3</a>   <em class="jxr_comment"> * Licensed to the Apache Software Foundation (ASF) under one</em>
<a class="jxr_linenumber" name="4" href="#4">4</a>   <em class="jxr_comment"> * or more contributor license agreements.  See the NOTICE file</em>
<a class="jxr_linenumber" name="5" href="#5">5</a>   <em class="jxr_comment"> * distributed with this work for additional information</em>
<a class="jxr_linenumber" name="6" href="#6">6</a>   <em class="jxr_comment"> * regarding copyright ownership.  The ASF licenses this file</em>
<a class="jxr_linenumber" name="7" href="#7">7</a>   <em class="jxr_comment"> * to you under the Apache License, Version 2.0 (the</em>
<a class="jxr_linenumber" name="8" href="#8">8</a>   <em class="jxr_comment"> * "License"); you may not use this file except in compliance</em>
<a class="jxr_linenumber" name="9" href="#9">9</a>   <em class="jxr_comment"> * with the License.  You may obtain a copy of the License at</em>
<a class="jxr_linenumber" name="10" href="#10">10</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="11" href="#11">11</a>  <em class="jxr_comment"> *   <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a class="jxr_linenumber" name="12" href="#12">12</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="13" href="#13">13</a>  <em class="jxr_comment"> * Unless required by applicable law or agreed to in writing,</em>
<a class="jxr_linenumber" name="14" href="#14">14</a>  <em class="jxr_comment"> * software distributed under the License is distributed on an</em>
<a class="jxr_linenumber" name="15" href="#15">15</a>  <em class="jxr_comment"> * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</em>
<a class="jxr_linenumber" name="16" href="#16">16</a>  <em class="jxr_comment"> * KIND, either express or implied.  See the License for the</em>
<a class="jxr_linenumber" name="17" href="#17">17</a>  <em class="jxr_comment"> * specific language governing permissions and limitations</em>
<a class="jxr_linenumber" name="18" href="#18">18</a>  <em class="jxr_comment"> * under the License.</em>
<a class="jxr_linenumber" name="19" href="#19">19</a>  <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="20" href="#20">20</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="21" href="#21">21</a>  <em class="jxr_comment"> * This software consists of voluntary contributions made by many</em>
<a class="jxr_linenumber" name="22" href="#22">22</a>  <em class="jxr_comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a class="jxr_linenumber" name="23" href="#23">23</a>  <em class="jxr_comment"> * information on the Apache Software Foundation, please see</em>
<a class="jxr_linenumber" name="24" href="#24">24</a>  <em class="jxr_comment"> * &lt;<a href="http://www.apache.org/&gt;." target="alexandria_uri">http://www.apache.org/&gt;.</a></em>
<a class="jxr_linenumber" name="25" href="#25">25</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="26" href="#26">26</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="27" href="#27">27</a>  
<a class="jxr_linenumber" name="28" href="#28">28</a>  <strong class="jxr_keyword">package</strong> org.apache.http.conn.ssl;
<a class="jxr_linenumber" name="29" href="#29">29</a>  
<a class="jxr_linenumber" name="30" href="#30">30</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="31" href="#31">31</a>  <em class="jxr_javadoccomment"> * Some X509 certificates to test against.</em>
<a class="jxr_linenumber" name="32" href="#32">32</a>  <em class="jxr_javadoccomment"> * &lt;p/&gt;</em>
<a class="jxr_linenumber" name="33" href="#33">33</a>  <em class="jxr_javadoccomment"> * Note:  some of these certificates have Japanese Kanji in the "subjectAlt"</em>
<a class="jxr_linenumber" name="34" href="#34">34</a>  <em class="jxr_javadoccomment"> * field (UTF8).  Not sure how realistic that is since international characters</em>
<a class="jxr_linenumber" name="35" href="#35">35</a>  <em class="jxr_javadoccomment"> * in DNS names usually get translated into ASCII using "xn--" style DNS</em>
<a class="jxr_linenumber" name="36" href="#36">36</a>  <em class="jxr_javadoccomment"> * entries.  "xn--i8s592g.co.jp" is what FireFox actually uses when trying to</em>
<a class="jxr_linenumber" name="37" href="#37">37</a>  <em class="jxr_javadoccomment"> * find &amp;#x82b1;&amp;#x5b50;.co.jp.  So would the CN in the certificate contain</em>
<a class="jxr_linenumber" name="38" href="#38">38</a>  <em class="jxr_javadoccomment"> * "xn--i8s592g.co.jp" in ASCII, or "&amp;#x82b1;&amp;#x5b50;.co.jp" in UTF8?  (Both?)</em>
<a class="jxr_linenumber" name="39" href="#39">39</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="40" href="#40">40</a>  <em class="jxr_javadoccomment"> * @since 11-Dec-2006</em>
<a class="jxr_linenumber" name="41" href="#41">41</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="42" href="#42">42</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../org/apache/http/conn/ssl/CertificatesToPlayWith.html">CertificatesToPlayWith</a> {
<a class="jxr_linenumber" name="43" href="#43">43</a>  
<a class="jxr_linenumber" name="44" href="#44">44</a>      <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="45" href="#45">45</a>  <em class="jxr_javadoccomment">     * CN=foo.com</em>
<a class="jxr_linenumber" name="46" href="#46">46</a>  <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="47" href="#47">47</a>      <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_FOO = (
<a class="jxr_linenumber" name="48" href="#48">48</a>            <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="49" href="#49">49</a>            <span class="jxr_string">"MIIERjCCAy6gAwIBAgIJAIz+EYMBU6aQMA0GCSqGSIb3DQEBBQUAMIGiMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="50" href="#50">50</a>            <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxEjAQBgNVBAcTCVZhbmNvdXZlcjEWMBQGA1UE\n"</span> +
<a class="jxr_linenumber" name="51" href="#51">51</a>            <span class="jxr_string">"ChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9uc19zc2wxHTAbBgNVBAMU\n"</span> +
<a class="jxr_linenumber" name="52" href="#52">52</a>            <span class="jxr_string">"FGRlbW9faW50ZXJtZWRpYXRlX2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="53" href="#53">53</a>            <span class="jxr_string">"ZXNAZ21haWwuY29tMB4XDTA2MTIxMTE1MzE0MVoXDTI4MTEwNTE1MzE0MVowgaQx\n"</span> +
<a class="jxr_linenumber" name="54" href="#54">54</a>            <span class="jxr_string">"CzAJBgNVBAYTAlVTMREwDwYDVQQIEwhNYXJ5bGFuZDEUMBIGA1UEBxMLRm9yZXN0\n"</span> +
<a class="jxr_linenumber" name="55" href="#55">55</a>            <span class="jxr_string">"IEhpbGwxFzAVBgNVBAoTDmh0dHBjb21wb25lbnRzMRowGAYDVQQLExF0ZXN0IGNl\n"</span> +
<a class="jxr_linenumber" name="56" href="#56">56</a>            <span class="jxr_string">"cnRpZmljYXRlczEQMA4GA1UEAxMHZm9vLmNvbTElMCMGCSqGSIb3DQEJARYWanVs\n"</span> +
<a class="jxr_linenumber" name="57" href="#57">57</a>            <span class="jxr_string">"aXVzZGF2aWVzQGdtYWlsLmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoC\n"</span> +
<a class="jxr_linenumber" name="58" href="#58">58</a>            <span class="jxr_string">"ggEBAMhjr5aCPoyp0R1iroWAfnEyBMGYWoCidH96yGPFjYLowez5aYKY1IOKTY2B\n"</span> +
<a class="jxr_linenumber" name="59" href="#59">59</a>            <span class="jxr_string">"lYho4O84X244QrZTRl8kQbYtxnGh4gSCD+Z8gjZ/gMvLUlhqOb+WXPAUHMB39GRy\n"</span> +
<a class="jxr_linenumber" name="60" href="#60">60</a>            <span class="jxr_string">"zerA/ZtrlUqf+lKo0uWcocxeRc771KN8cPH3nHZ0rV0Hx4ZAZy6U4xxObe4rtSVY\n"</span> +
<a class="jxr_linenumber" name="61" href="#61">61</a>            <span class="jxr_string">"07hNKXAb2odnVqgzcYiDkLV8ilvEmoNWMWrp8UBqkTcpEhYhCYp3cTkgJwMSuqv8\n"</span> +
<a class="jxr_linenumber" name="62" href="#62">62</a>            <span class="jxr_string">"BqnGd87xQU3FVZI4tbtkB+KzjD9zz8QCDJAfDjZHR03KNQ5mxOgXwxwKw6lGMaiV\n"</span> +
<a class="jxr_linenumber" name="63" href="#63">63</a>            <span class="jxr_string">"JTxpTKqym93whYk93l3ocEe55c0CAwEAAaN7MHkwCQYDVR0TBAIwADAsBglghkgB\n"</span> +
<a class="jxr_linenumber" name="64" href="#64">64</a>            <span class="jxr_string">"hvhCAQ0EHxYdT3BlblNTTCBHZW5lcmF0ZWQgQ2VydGlmaWNhdGUwHQYDVR0OBBYE\n"</span> +
<a class="jxr_linenumber" name="65" href="#65">65</a>            <span class="jxr_string">"FJ8Ud78/OrbKOIJCSBYs2tDLXofYMB8GA1UdIwQYMBaAFHua2o+QmU5S0qzbswNS\n"</span> +
<a class="jxr_linenumber" name="66" href="#66">66</a>            <span class="jxr_string">"yoemDT4NMA0GCSqGSIb3DQEBBQUAA4IBAQC3jRmEya6sQCkmieULcvx8zz1euCk9\n"</span> +
<a class="jxr_linenumber" name="67" href="#67">67</a>            <span class="jxr_string">"fSez7BEtki8+dmfMXe3K7sH0lI8f4jJR0rbSCjpmCQLYmzC3NxBKeJOW0RcjNBpO\n"</span> +
<a class="jxr_linenumber" name="68" href="#68">68</a>            <span class="jxr_string">"c2JlGO9auXv2GDP4IYiXElLJ6VSqc8WvDikv0JmCCWm0Zga+bZbR/EWN5DeEtFdF\n"</span> +
<a class="jxr_linenumber" name="69" href="#69">69</a>            <span class="jxr_string">"815CLpJZNcYwiYwGy/CVQ7w2TnXlG+mraZOz+owr+cL6J/ZesbdEWfjoS1+cUEhE\n"</span> +
<a class="jxr_linenumber" name="70" href="#70">70</a>            <span class="jxr_string">"HwlNrAu8jlZ2UqSgskSWlhYdMTAP9CPHiUv9N7FcT58Itv/I4fKREINQYjDpvQcx\n"</span> +
<a class="jxr_linenumber" name="71" href="#71">71</a>            <span class="jxr_string">"SaTYb9dr5sB4WLNglk7zxDtM80H518VvihTcP7FHL+Gn6g4j5fkI98+S\n"</span> +
<a class="jxr_linenumber" name="72" href="#72">72</a>            <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="73" href="#73">73</a>  
<a class="jxr_linenumber" name="74" href="#74">74</a>      <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="75" href="#75">75</a>  <em class="jxr_javadoccomment">     * CN=&amp;#x82b1;&amp;#x5b50;.co.jp</em>
<a class="jxr_linenumber" name="76" href="#76">76</a>  <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="77" href="#77">77</a>      <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_HANAKO = (
<a class="jxr_linenumber" name="78" href="#78">78</a>            <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="79" href="#79">79</a>            <span class="jxr_string">"MIIESzCCAzOgAwIBAgIJAIz+EYMBU6aTMA0GCSqGSIb3DQEBBQUAMIGiMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="80" href="#80">80</a>            <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxEjAQBgNVBAcTCVZhbmNvdXZlcjEWMBQGA1UE\n"</span> +
<a class="jxr_linenumber" name="81" href="#81">81</a>            <span class="jxr_string">"ChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9uc19zc2wxHTAbBgNVBAMU\n"</span> +
<a class="jxr_linenumber" name="82" href="#82">82</a>            <span class="jxr_string">"FGRlbW9faW50ZXJtZWRpYXRlX2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="83" href="#83">83</a>            <span class="jxr_string">"ZXNAZ21haWwuY29tMB4XDTA2MTIxMTE1NDIxNVoXDTI4MTEwNTE1NDIxNVowgakx\n"</span> +
<a class="jxr_linenumber" name="84" href="#84">84</a>            <span class="jxr_string">"CzAJBgNVBAYTAlVTMREwDwYDVQQIDAhNYXJ5bGFuZDEUMBIGA1UEBwwLRm9yZXN0\n"</span> +
<a class="jxr_linenumber" name="85" href="#85">85</a>            <span class="jxr_string">"IEhpbGwxFzAVBgNVBAoMDmh0dHBjb21wb25lbnRzMRowGAYDVQQLDBF0ZXN0IGNl\n"</span> +
<a class="jxr_linenumber" name="86" href="#86">86</a>            <span class="jxr_string">"cnRpZmljYXRlczEVMBMGA1UEAwwM6Iqx5a2QLmNvLmpwMSUwIwYJKoZIhvcNAQkB\n"</span> +
<a class="jxr_linenumber" name="87" href="#87">87</a>            <span class="jxr_string">"FhZqdWxpdXNkYXZpZXNAZ21haWwuY29tMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8A\n"</span> +
<a class="jxr_linenumber" name="88" href="#88">88</a>            <span class="jxr_string">"MIIBCgKCAQEAyGOvloI+jKnRHWKuhYB+cTIEwZhagKJ0f3rIY8WNgujB7PlpgpjU\n"</span> +
<a class="jxr_linenumber" name="89" href="#89">89</a>            <span class="jxr_string">"g4pNjYGViGjg7zhfbjhCtlNGXyRBti3GcaHiBIIP5nyCNn+Ay8tSWGo5v5Zc8BQc\n"</span> +
<a class="jxr_linenumber" name="90" href="#90">90</a>            <span class="jxr_string">"wHf0ZHLN6sD9m2uVSp/6UqjS5ZyhzF5FzvvUo3xw8fecdnStXQfHhkBnLpTjHE5t\n"</span> +
<a class="jxr_linenumber" name="91" href="#91">91</a>            <span class="jxr_string">"7iu1JVjTuE0pcBvah2dWqDNxiIOQtXyKW8Sag1YxaunxQGqRNykSFiEJindxOSAn\n"</span> +
<a class="jxr_linenumber" name="92" href="#92">92</a>            <span class="jxr_string">"AxK6q/wGqcZ3zvFBTcVVkji1u2QH4rOMP3PPxAIMkB8ONkdHTco1DmbE6BfDHArD\n"</span> +
<a class="jxr_linenumber" name="93" href="#93">93</a>            <span class="jxr_string">"qUYxqJUlPGlMqrKb3fCFiT3eXehwR7nlzQIDAQABo3sweTAJBgNVHRMEAjAAMCwG\n"</span> +
<a class="jxr_linenumber" name="94" href="#94">94</a>            <span class="jxr_string">"CWCGSAGG+EIBDQQfFh1PcGVuU1NMIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNV\n"</span> +
<a class="jxr_linenumber" name="95" href="#95">95</a>            <span class="jxr_string">"HQ4EFgQUnxR3vz86tso4gkJIFiza0Mteh9gwHwYDVR0jBBgwFoAUe5raj5CZTlLS\n"</span> +
<a class="jxr_linenumber" name="96" href="#96">96</a>            <span class="jxr_string">"rNuzA1LKh6YNPg0wDQYJKoZIhvcNAQEFBQADggEBALJ27i3okV/KvlDp6KMID3gd\n"</span> +
<a class="jxr_linenumber" name="97" href="#97">97</a>            <span class="jxr_string">"ITl68PyItzzx+SquF8gahMh016NX73z/oVZoVUNdftla8wPUB1GwIkAnGkhQ9LHK\n"</span> +
<a class="jxr_linenumber" name="98" href="#98">98</a>            <span class="jxr_string">"spBdbRiCj0gMmLCsX8SrjFvr7cYb2cK6J/fJe92l1tg/7Y4o7V/s4JBe/cy9U9w8\n"</span> +
<a class="jxr_linenumber" name="99" href="#99">99</a>            <span class="jxr_string">"a0ctuDmEBCgC784JMDtT67klRfr/2LlqWhlOEq7pUFxRLbhpquaAHSOjmIcWnVpw\n"</span> +
<a class="jxr_linenumber" name="100" href="#100">100</a>           <span class="jxr_string">"9BsO7qe46hidgn39hKh1WjKK2VcL/3YRsC4wUi0PBtFW6ScMCuMhgIRXSPU55Rae\n"</span> +
<a class="jxr_linenumber" name="101" href="#101">101</a>           <span class="jxr_string">"UIlOdPjjr1SUNWGId1rD7W16Scpwnknn310FNxFMHVI0GTGFkNdkilNCFJcIoRA=\n"</span> +
<a class="jxr_linenumber" name="102" href="#102">102</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="103" href="#103">103</a> 
<a class="jxr_linenumber" name="104" href="#104">104</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="105" href="#105">105</a> <em class="jxr_javadoccomment">     * CN=foo.com, subjectAlt=bar.com</em>
<a class="jxr_linenumber" name="106" href="#106">106</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="107" href="#107">107</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_FOO_BAR = (
<a class="jxr_linenumber" name="108" href="#108">108</a>           <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="109" href="#109">109</a>           <span class="jxr_string">"MIIEXDCCA0SgAwIBAgIJAIz+EYMBU6aRMA0GCSqGSIb3DQEBBQUAMIGiMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="110" href="#110">110</a>           <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxEjAQBgNVBAcTCVZhbmNvdXZlcjEWMBQGA1UE\n"</span> +
<a class="jxr_linenumber" name="111" href="#111">111</a>           <span class="jxr_string">"ChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9uc19zc2wxHTAbBgNVBAMU\n"</span> +
<a class="jxr_linenumber" name="112" href="#112">112</a>           <span class="jxr_string">"FGRlbW9faW50ZXJtZWRpYXRlX2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="113" href="#113">113</a>           <span class="jxr_string">"ZXNAZ21haWwuY29tMB4XDTA2MTIxMTE1MzYyOVoXDTI4MTEwNTE1MzYyOVowgaQx\n"</span> +
<a class="jxr_linenumber" name="114" href="#114">114</a>           <span class="jxr_string">"CzAJBgNVBAYTAlVTMREwDwYDVQQIEwhNYXJ5bGFuZDEUMBIGA1UEBxMLRm9yZXN0\n"</span> +
<a class="jxr_linenumber" name="115" href="#115">115</a>           <span class="jxr_string">"IEhpbGwxFzAVBgNVBAoTDmh0dHBjb21wb25lbnRzMRowGAYDVQQLExF0ZXN0IGNl\n"</span> +
<a class="jxr_linenumber" name="116" href="#116">116</a>           <span class="jxr_string">"cnRpZmljYXRlczEQMA4GA1UEAxMHZm9vLmNvbTElMCMGCSqGSIb3DQEJARYWanVs\n"</span> +
<a class="jxr_linenumber" name="117" href="#117">117</a>           <span class="jxr_string">"aXVzZGF2aWVzQGdtYWlsLmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoC\n"</span> +
<a class="jxr_linenumber" name="118" href="#118">118</a>           <span class="jxr_string">"ggEBAMhjr5aCPoyp0R1iroWAfnEyBMGYWoCidH96yGPFjYLowez5aYKY1IOKTY2B\n"</span> +
<a class="jxr_linenumber" name="119" href="#119">119</a>           <span class="jxr_string">"lYho4O84X244QrZTRl8kQbYtxnGh4gSCD+Z8gjZ/gMvLUlhqOb+WXPAUHMB39GRy\n"</span> +
<a class="jxr_linenumber" name="120" href="#120">120</a>           <span class="jxr_string">"zerA/ZtrlUqf+lKo0uWcocxeRc771KN8cPH3nHZ0rV0Hx4ZAZy6U4xxObe4rtSVY\n"</span> +
<a class="jxr_linenumber" name="121" href="#121">121</a>           <span class="jxr_string">"07hNKXAb2odnVqgzcYiDkLV8ilvEmoNWMWrp8UBqkTcpEhYhCYp3cTkgJwMSuqv8\n"</span> +
<a class="jxr_linenumber" name="122" href="#122">122</a>           <span class="jxr_string">"BqnGd87xQU3FVZI4tbtkB+KzjD9zz8QCDJAfDjZHR03KNQ5mxOgXwxwKw6lGMaiV\n"</span> +
<a class="jxr_linenumber" name="123" href="#123">123</a>           <span class="jxr_string">"JTxpTKqym93whYk93l3ocEe55c0CAwEAAaOBkDCBjTAJBgNVHRMEAjAAMCwGCWCG\n"</span> +
<a class="jxr_linenumber" name="124" href="#124">124</a>           <span class="jxr_string">"SAGG+EIBDQQfFh1PcGVuU1NMIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4E\n"</span> +
<a class="jxr_linenumber" name="125" href="#125">125</a>           <span class="jxr_string">"FgQUnxR3vz86tso4gkJIFiza0Mteh9gwHwYDVR0jBBgwFoAUe5raj5CZTlLSrNuz\n"</span> +
<a class="jxr_linenumber" name="126" href="#126">126</a>           <span class="jxr_string">"A1LKh6YNPg0wEgYDVR0RBAswCYIHYmFyLmNvbTANBgkqhkiG9w0BAQUFAAOCAQEA\n"</span> +
<a class="jxr_linenumber" name="127" href="#127">127</a>           <span class="jxr_string">"dQyprNZBmVnvuVWjV42sey/PTfkYShJwy1j0/jcFZR/ypZUovpiHGDO1DgL3Y3IP\n"</span> +
<a class="jxr_linenumber" name="128" href="#128">128</a>           <span class="jxr_string">"zVQ26uhUsSw6G0gGRiaBDe/0LUclXZoJzXX1qpS55OadxW73brziS0sxRgGrZE/d\n"</span> +
<a class="jxr_linenumber" name="129" href="#129">129</a>           <span class="jxr_string">"3g5kkio6IED47OP6wYnlmZ7EKP9cqjWwlnvHnnUcZ2SscoLNYs9rN9ccp8tuq2by\n"</span> +
<a class="jxr_linenumber" name="130" href="#130">130</a>           <span class="jxr_string">"88OyhKwGjJfhOudqfTNZcDzRHx4Fzm7UsVaycVw4uDmhEHJrAsmMPpj/+XRK9/42\n"</span> +
<a class="jxr_linenumber" name="131" href="#131">131</a>           <span class="jxr_string">"2xq+8bc6HojdtbCyug/fvBZvZqQXSmU8m8IVcMmWMz0ZQO8ee3QkBHMZfCy7P/kr\n"</span> +
<a class="jxr_linenumber" name="132" href="#132">132</a>           <span class="jxr_string">"VbWx/uETImUu+NZg22ewEw==\n"</span> +
<a class="jxr_linenumber" name="133" href="#133">133</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="134" href="#134">134</a> 
<a class="jxr_linenumber" name="135" href="#135">135</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="136" href="#136">136</a> <em class="jxr_javadoccomment">     * CN=foo.com, subjectAlt=bar.com, subjectAlt=&amp;#x82b1;&amp;#x5b50;.co.jp</em>
<a class="jxr_linenumber" name="137" href="#137">137</a> <em class="jxr_javadoccomment">     * (hanako.co.jp in kanji)</em>
<a class="jxr_linenumber" name="138" href="#138">138</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="139" href="#139">139</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_FOO_BAR_HANAKO = (
<a class="jxr_linenumber" name="140" href="#140">140</a>           <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="141" href="#141">141</a>           <span class="jxr_string">"MIIEajCCA1KgAwIBAgIJAIz+EYMBU6aSMA0GCSqGSIb3DQEBBQUAMIGiMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="142" href="#142">142</a>           <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxEjAQBgNVBAcTCVZhbmNvdXZlcjEWMBQGA1UE\n"</span> +
<a class="jxr_linenumber" name="143" href="#143">143</a>           <span class="jxr_string">"ChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9uc19zc2wxHTAbBgNVBAMU\n"</span> +
<a class="jxr_linenumber" name="144" href="#144">144</a>           <span class="jxr_string">"FGRlbW9faW50ZXJtZWRpYXRlX2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="145" href="#145">145</a>           <span class="jxr_string">"ZXNAZ21haWwuY29tMB4XDTA2MTIxMTE1MzgxM1oXDTI4MTEwNTE1MzgxM1owgaQx\n"</span> +
<a class="jxr_linenumber" name="146" href="#146">146</a>           <span class="jxr_string">"CzAJBgNVBAYTAlVTMREwDwYDVQQIEwhNYXJ5bGFuZDEUMBIGA1UEBxMLRm9yZXN0\n"</span> +
<a class="jxr_linenumber" name="147" href="#147">147</a>           <span class="jxr_string">"IEhpbGwxFzAVBgNVBAoTDmh0dHBjb21wb25lbnRzMRowGAYDVQQLExF0ZXN0IGNl\n"</span> +
<a class="jxr_linenumber" name="148" href="#148">148</a>           <span class="jxr_string">"cnRpZmljYXRlczEQMA4GA1UEAxMHZm9vLmNvbTElMCMGCSqGSIb3DQEJARYWanVs\n"</span> +
<a class="jxr_linenumber" name="149" href="#149">149</a>           <span class="jxr_string">"aXVzZGF2aWVzQGdtYWlsLmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoC\n"</span> +
<a class="jxr_linenumber" name="150" href="#150">150</a>           <span class="jxr_string">"ggEBAMhjr5aCPoyp0R1iroWAfnEyBMGYWoCidH96yGPFjYLowez5aYKY1IOKTY2B\n"</span> +
<a class="jxr_linenumber" name="151" href="#151">151</a>           <span class="jxr_string">"lYho4O84X244QrZTRl8kQbYtxnGh4gSCD+Z8gjZ/gMvLUlhqOb+WXPAUHMB39GRy\n"</span> +
<a class="jxr_linenumber" name="152" href="#152">152</a>           <span class="jxr_string">"zerA/ZtrlUqf+lKo0uWcocxeRc771KN8cPH3nHZ0rV0Hx4ZAZy6U4xxObe4rtSVY\n"</span> +
<a class="jxr_linenumber" name="153" href="#153">153</a>           <span class="jxr_string">"07hNKXAb2odnVqgzcYiDkLV8ilvEmoNWMWrp8UBqkTcpEhYhCYp3cTkgJwMSuqv8\n"</span> +
<a class="jxr_linenumber" name="154" href="#154">154</a>           <span class="jxr_string">"BqnGd87xQU3FVZI4tbtkB+KzjD9zz8QCDJAfDjZHR03KNQ5mxOgXwxwKw6lGMaiV\n"</span> +
<a class="jxr_linenumber" name="155" href="#155">155</a>           <span class="jxr_string">"JTxpTKqym93whYk93l3ocEe55c0CAwEAAaOBnjCBmzAJBgNVHRMEAjAAMCwGCWCG\n"</span> +
<a class="jxr_linenumber" name="156" href="#156">156</a>           <span class="jxr_string">"SAGG+EIBDQQfFh1PcGVuU1NMIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4E\n"</span> +
<a class="jxr_linenumber" name="157" href="#157">157</a>           <span class="jxr_string">"FgQUnxR3vz86tso4gkJIFiza0Mteh9gwHwYDVR0jBBgwFoAUe5raj5CZTlLSrNuz\n"</span> +
<a class="jxr_linenumber" name="158" href="#158">158</a>           <span class="jxr_string">"A1LKh6YNPg0wIAYDVR0RBBkwF4IHYmFyLmNvbYIM6Iqx5a2QLmNvLmpwMA0GCSqG\n"</span> +
<a class="jxr_linenumber" name="159" href="#159">159</a>           <span class="jxr_string">"SIb3DQEBBQUAA4IBAQBeZs7ZIYyKtdnVxVvdLgwySEPOE4pBSXii7XYv0Q9QUvG/\n"</span> +
<a class="jxr_linenumber" name="160" href="#160">160</a>           <span class="jxr_string">"++gFGQh89HhABzA1mVUjH5dJTQqSLFvRfqTHqLpxSxSWqMHnvRM4cPBkIRp/XlMK\n"</span> +
<a class="jxr_linenumber" name="161" href="#161">161</a>           <span class="jxr_string">"PlXadYtJLPTgpbgvulA1ickC9EwlNYWnowZ4uxnfsMghW4HskBqaV+PnQ8Zvy3L0\n"</span> +
<a class="jxr_linenumber" name="162" href="#162">162</a>           <span class="jxr_string">"12c7Cg4mKKS5pb1HdRuiD2opZ+Hc77gRQLvtWNS8jQvd/iTbh6fuvTKfAOFoXw22\n"</span> +
<a class="jxr_linenumber" name="163" href="#163">163</a>           <span class="jxr_string">"sWIKHYrmhCIRshUNohGXv50m2o+1w9oWmQ6Dkq7lCjfXfUB4wIbggJjpyEtbNqBt\n"</span> +
<a class="jxr_linenumber" name="164" href="#164">164</a>           <span class="jxr_string">"j4MC2x5rfsLKKqToKmNE7pFEgqwe8//Aar1b+Qj+\n"</span> +
<a class="jxr_linenumber" name="165" href="#165">165</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="166" href="#166">166</a> 
<a class="jxr_linenumber" name="167" href="#167">167</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="168" href="#168">168</a> <em class="jxr_javadoccomment">     * CN=*.foo.com</em>
<a class="jxr_linenumber" name="169" href="#169">169</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="170" href="#170">170</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_WILD_FOO = (
<a class="jxr_linenumber" name="171" href="#171">171</a>           <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="172" href="#172">172</a>           <span class="jxr_string">"MIIESDCCAzCgAwIBAgIJAIz+EYMBU6aUMA0GCSqGSIb3DQEBBQUAMIGiMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="173" href="#173">173</a>           <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxEjAQBgNVBAcTCVZhbmNvdXZlcjEWMBQGA1UE\n"</span> +
<a class="jxr_linenumber" name="174" href="#174">174</a>           <span class="jxr_string">"ChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9uc19zc2wxHTAbBgNVBAMU\n"</span> +
<a class="jxr_linenumber" name="175" href="#175">175</a>           <span class="jxr_string">"FGRlbW9faW50ZXJtZWRpYXRlX2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="176" href="#176">176</a>           <span class="jxr_string">"ZXNAZ21haWwuY29tMB4XDTA2MTIxMTE2MTU1NVoXDTI4MTEwNTE2MTU1NVowgaYx\n"</span> +
<a class="jxr_linenumber" name="177" href="#177">177</a>           <span class="jxr_string">"CzAJBgNVBAYTAlVTMREwDwYDVQQIEwhNYXJ5bGFuZDEUMBIGA1UEBxMLRm9yZXN0\n"</span> +
<a class="jxr_linenumber" name="178" href="#178">178</a>           <span class="jxr_string">"IEhpbGwxFzAVBgNVBAoTDmh0dHBjb21wb25lbnRzMRowGAYDVQQLExF0ZXN0IGNl\n"</span> +
<a class="jxr_linenumber" name="179" href="#179">179</a>           <span class="jxr_string">"cnRpZmljYXRlczESMBAGA1UEAxQJKi5mb28uY29tMSUwIwYJKoZIhvcNAQkBFhZq\n"</span> +
<a class="jxr_linenumber" name="180" href="#180">180</a>           <span class="jxr_string">"dWxpdXNkYXZpZXNAZ21haWwuY29tMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\n"</span> +
<a class="jxr_linenumber" name="181" href="#181">181</a>           <span class="jxr_string">"CgKCAQEAyGOvloI+jKnRHWKuhYB+cTIEwZhagKJ0f3rIY8WNgujB7PlpgpjUg4pN\n"</span> +
<a class="jxr_linenumber" name="182" href="#182">182</a>           <span class="jxr_string">"jYGViGjg7zhfbjhCtlNGXyRBti3GcaHiBIIP5nyCNn+Ay8tSWGo5v5Zc8BQcwHf0\n"</span> +
<a class="jxr_linenumber" name="183" href="#183">183</a>           <span class="jxr_string">"ZHLN6sD9m2uVSp/6UqjS5ZyhzF5FzvvUo3xw8fecdnStXQfHhkBnLpTjHE5t7iu1\n"</span> +
<a class="jxr_linenumber" name="184" href="#184">184</a>           <span class="jxr_string">"JVjTuE0pcBvah2dWqDNxiIOQtXyKW8Sag1YxaunxQGqRNykSFiEJindxOSAnAxK6\n"</span> +
<a class="jxr_linenumber" name="185" href="#185">185</a>           <span class="jxr_string">"q/wGqcZ3zvFBTcVVkji1u2QH4rOMP3PPxAIMkB8ONkdHTco1DmbE6BfDHArDqUYx\n"</span> +
<a class="jxr_linenumber" name="186" href="#186">186</a>           <span class="jxr_string">"qJUlPGlMqrKb3fCFiT3eXehwR7nlzQIDAQABo3sweTAJBgNVHRMEAjAAMCwGCWCG\n"</span> +
<a class="jxr_linenumber" name="187" href="#187">187</a>           <span class="jxr_string">"SAGG+EIBDQQfFh1PcGVuU1NMIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4E\n"</span> +
<a class="jxr_linenumber" name="188" href="#188">188</a>           <span class="jxr_string">"FgQUnxR3vz86tso4gkJIFiza0Mteh9gwHwYDVR0jBBgwFoAUe5raj5CZTlLSrNuz\n"</span> +
<a class="jxr_linenumber" name="189" href="#189">189</a>           <span class="jxr_string">"A1LKh6YNPg0wDQYJKoZIhvcNAQEFBQADggEBAH0ipG6J561UKUfgkeW7GvYwW98B\n"</span> +
<a class="jxr_linenumber" name="190" href="#190">190</a>           <span class="jxr_string">"N1ZooWX+JEEZK7+Pf/96d3Ij0rw9ACfN4bpfnCq0VUNZVSYB+GthQ2zYuz7tf/UY\n"</span> +
<a class="jxr_linenumber" name="191" href="#191">191</a>           <span class="jxr_string">"A6nxVgR/IjG69BmsBl92uFO7JTNtHztuiPqBn59pt+vNx4yPvno7zmxsfI7jv0ww\n"</span> +
<a class="jxr_linenumber" name="192" href="#192">192</a>           <span class="jxr_string">"yfs+0FNm7FwdsC1k47GBSOaGw38kuIVWqXSAbL4EX9GkryGGOKGNh0qvAENCdRSB\n"</span> +
<a class="jxr_linenumber" name="193" href="#193">193</a>           <span class="jxr_string">"G9Z6tyMbmfRY+dLSh3a9JwoEcBUso6EWYBakLbq4nG/nvYdYvG9ehrnLVwZFL82e\n"</span> +
<a class="jxr_linenumber" name="194" href="#194">194</a>           <span class="jxr_string">"l3Q/RK95bnA6cuRClGusLad0e6bjkBzx/VQ3VarDEpAkTLUGVAa0CLXtnyc=\n"</span> +
<a class="jxr_linenumber" name="195" href="#195">195</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="196" href="#196">196</a> 
<a class="jxr_linenumber" name="197" href="#197">197</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="198" href="#198">198</a> <em class="jxr_javadoccomment">     * CN=*.co.jp</em>
<a class="jxr_linenumber" name="199" href="#199">199</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="200" href="#200">200</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_WILD_CO_JP = (
<a class="jxr_linenumber" name="201" href="#201">201</a>           <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="202" href="#202">202</a>           <span class="jxr_string">"MIIERjCCAy6gAwIBAgIJAIz+EYMBU6aVMA0GCSqGSIb3DQEBBQUAMIGiMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="203" href="#203">203</a>           <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxEjAQBgNVBAcTCVZhbmNvdXZlcjEWMBQGA1UE\n"</span> +
<a class="jxr_linenumber" name="204" href="#204">204</a>           <span class="jxr_string">"ChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9uc19zc2wxHTAbBgNVBAMU\n"</span> +
<a class="jxr_linenumber" name="205" href="#205">205</a>           <span class="jxr_string">"FGRlbW9faW50ZXJtZWRpYXRlX2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="206" href="#206">206</a>           <span class="jxr_string">"ZXNAZ21haWwuY29tMB4XDTA2MTIxMTE2MTYzMFoXDTI4MTEwNTE2MTYzMFowgaQx\n"</span> +
<a class="jxr_linenumber" name="207" href="#207">207</a>           <span class="jxr_string">"CzAJBgNVBAYTAlVTMREwDwYDVQQIEwhNYXJ5bGFuZDEUMBIGA1UEBxMLRm9yZXN0\n"</span> +
<a class="jxr_linenumber" name="208" href="#208">208</a>           <span class="jxr_string">"IEhpbGwxFzAVBgNVBAoTDmh0dHBjb21wb25lbnRzMRowGAYDVQQLExF0ZXN0IGNl\n"</span> +
<a class="jxr_linenumber" name="209" href="#209">209</a>           <span class="jxr_string">"cnRpZmljYXRlczEQMA4GA1UEAxQHKi5jby5qcDElMCMGCSqGSIb3DQEJARYWanVs\n"</span> +
<a class="jxr_linenumber" name="210" href="#210">210</a>           <span class="jxr_string">"aXVzZGF2aWVzQGdtYWlsLmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoC\n"</span> +
<a class="jxr_linenumber" name="211" href="#211">211</a>           <span class="jxr_string">"ggEBAMhjr5aCPoyp0R1iroWAfnEyBMGYWoCidH96yGPFjYLowez5aYKY1IOKTY2B\n"</span> +
<a class="jxr_linenumber" name="212" href="#212">212</a>           <span class="jxr_string">"lYho4O84X244QrZTRl8kQbYtxnGh4gSCD+Z8gjZ/gMvLUlhqOb+WXPAUHMB39GRy\n"</span> +
<a class="jxr_linenumber" name="213" href="#213">213</a>           <span class="jxr_string">"zerA/ZtrlUqf+lKo0uWcocxeRc771KN8cPH3nHZ0rV0Hx4ZAZy6U4xxObe4rtSVY\n"</span> +
<a class="jxr_linenumber" name="214" href="#214">214</a>           <span class="jxr_string">"07hNKXAb2odnVqgzcYiDkLV8ilvEmoNWMWrp8UBqkTcpEhYhCYp3cTkgJwMSuqv8\n"</span> +
<a class="jxr_linenumber" name="215" href="#215">215</a>           <span class="jxr_string">"BqnGd87xQU3FVZI4tbtkB+KzjD9zz8QCDJAfDjZHR03KNQ5mxOgXwxwKw6lGMaiV\n"</span> +
<a class="jxr_linenumber" name="216" href="#216">216</a>           <span class="jxr_string">"JTxpTKqym93whYk93l3ocEe55c0CAwEAAaN7MHkwCQYDVR0TBAIwADAsBglghkgB\n"</span> +
<a class="jxr_linenumber" name="217" href="#217">217</a>           <span class="jxr_string">"hvhCAQ0EHxYdT3BlblNTTCBHZW5lcmF0ZWQgQ2VydGlmaWNhdGUwHQYDVR0OBBYE\n"</span> +
<a class="jxr_linenumber" name="218" href="#218">218</a>           <span class="jxr_string">"FJ8Ud78/OrbKOIJCSBYs2tDLXofYMB8GA1UdIwQYMBaAFHua2o+QmU5S0qzbswNS\n"</span> +
<a class="jxr_linenumber" name="219" href="#219">219</a>           <span class="jxr_string">"yoemDT4NMA0GCSqGSIb3DQEBBQUAA4IBAQA0sWglVlMx2zNGvUqFC73XtREwii53\n"</span> +
<a class="jxr_linenumber" name="220" href="#220">220</a>           <span class="jxr_string">"CfMM6mtf2+f3k/d8KXhLNySrg8RRlN11zgmpPaLtbdTLrmG4UdAHHYr8O4y2BBmE\n"</span> +
<a class="jxr_linenumber" name="221" href="#221">221</a>           <span class="jxr_string">"1cxNfGxxechgF8HX10QV4dkyzp6Z1cfwvCeMrT5G/V1pejago0ayXx+GPLbWlNeZ\n"</span> +
<a class="jxr_linenumber" name="222" href="#222">222</a>           <span class="jxr_string">"S+Kl0m3p+QplXujtwG5fYcIpaGpiYraBLx3Tadih39QN65CnAh/zRDhLCUzKyt9l\n"</span> +
<a class="jxr_linenumber" name="223" href="#223">223</a>           <span class="jxr_string">"UGPLEUDzRHMPHLnSqT1n5UU5UDRytbjJPXzF+l/+WZIsanefWLsxnkgAuZe/oMMF\n"</span> +
<a class="jxr_linenumber" name="224" href="#224">224</a>           <span class="jxr_string">"EJMryEzOjg4Tfuc5qM0EXoPcQ/JlheaxZ40p2IyHqbsWV4MRYuFH4bkM\n"</span> +
<a class="jxr_linenumber" name="225" href="#225">225</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="226" href="#226">226</a> 
<a class="jxr_linenumber" name="227" href="#227">227</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="228" href="#228">228</a> <em class="jxr_javadoccomment">     * CN=*.foo.com, subjectAlt=*.bar.com, subjectAlt=*.&amp;#x82b1;&amp;#x5b50;.co.jp</em>
<a class="jxr_linenumber" name="229" href="#229">229</a> <em class="jxr_javadoccomment">     * (*.hanako.co.jp in kanji)</em>
<a class="jxr_linenumber" name="230" href="#230">230</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="231" href="#231">231</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_WILD_FOO_BAR_HANAKO = (
<a class="jxr_linenumber" name="232" href="#232">232</a>           <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="233" href="#233">233</a>           <span class="jxr_string">"MIIEcDCCA1igAwIBAgIJAIz+EYMBU6aWMA0GCSqGSIb3DQEBBQUAMIGiMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="234" href="#234">234</a>           <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxEjAQBgNVBAcTCVZhbmNvdXZlcjEWMBQGA1UE\n"</span> +
<a class="jxr_linenumber" name="235" href="#235">235</a>           <span class="jxr_string">"ChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9uc19zc2wxHTAbBgNVBAMU\n"</span> +
<a class="jxr_linenumber" name="236" href="#236">236</a>           <span class="jxr_string">"FGRlbW9faW50ZXJtZWRpYXRlX2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="237" href="#237">237</a>           <span class="jxr_string">"ZXNAZ21haWwuY29tMB4XDTA2MTIxMTE2MTczMVoXDTI4MTEwNTE2MTczMVowgaYx\n"</span> +
<a class="jxr_linenumber" name="238" href="#238">238</a>           <span class="jxr_string">"CzAJBgNVBAYTAlVTMREwDwYDVQQIEwhNYXJ5bGFuZDEUMBIGA1UEBxMLRm9yZXN0\n"</span> +
<a class="jxr_linenumber" name="239" href="#239">239</a>           <span class="jxr_string">"IEhpbGwxFzAVBgNVBAoTDmh0dHBjb21wb25lbnRzMRowGAYDVQQLExF0ZXN0IGNl\n"</span> +
<a class="jxr_linenumber" name="240" href="#240">240</a>           <span class="jxr_string">"cnRpZmljYXRlczESMBAGA1UEAxQJKi5mb28uY29tMSUwIwYJKoZIhvcNAQkBFhZq\n"</span> +
<a class="jxr_linenumber" name="241" href="#241">241</a>           <span class="jxr_string">"dWxpdXNkYXZpZXNAZ21haWwuY29tMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\n"</span> +
<a class="jxr_linenumber" name="242" href="#242">242</a>           <span class="jxr_string">"CgKCAQEAyGOvloI+jKnRHWKuhYB+cTIEwZhagKJ0f3rIY8WNgujB7PlpgpjUg4pN\n"</span> +
<a class="jxr_linenumber" name="243" href="#243">243</a>           <span class="jxr_string">"jYGViGjg7zhfbjhCtlNGXyRBti3GcaHiBIIP5nyCNn+Ay8tSWGo5v5Zc8BQcwHf0\n"</span> +
<a class="jxr_linenumber" name="244" href="#244">244</a>           <span class="jxr_string">"ZHLN6sD9m2uVSp/6UqjS5ZyhzF5FzvvUo3xw8fecdnStXQfHhkBnLpTjHE5t7iu1\n"</span> +
<a class="jxr_linenumber" name="245" href="#245">245</a>           <span class="jxr_string">"JVjTuE0pcBvah2dWqDNxiIOQtXyKW8Sag1YxaunxQGqRNykSFiEJindxOSAnAxK6\n"</span> +
<a class="jxr_linenumber" name="246" href="#246">246</a>           <span class="jxr_string">"q/wGqcZ3zvFBTcVVkji1u2QH4rOMP3PPxAIMkB8ONkdHTco1DmbE6BfDHArDqUYx\n"</span> +
<a class="jxr_linenumber" name="247" href="#247">247</a>           <span class="jxr_string">"qJUlPGlMqrKb3fCFiT3eXehwR7nlzQIDAQABo4GiMIGfMAkGA1UdEwQCMAAwLAYJ\n"</span> +
<a class="jxr_linenumber" name="248" href="#248">248</a>           <span class="jxr_string">"YIZIAYb4QgENBB8WHU9wZW5TU0wgR2VuZXJhdGVkIENlcnRpZmljYXRlMB0GA1Ud\n"</span> +
<a class="jxr_linenumber" name="249" href="#249">249</a>           <span class="jxr_string">"DgQWBBSfFHe/Pzq2yjiCQkgWLNrQy16H2DAfBgNVHSMEGDAWgBR7mtqPkJlOUtKs\n"</span> +
<a class="jxr_linenumber" name="250" href="#250">250</a>           <span class="jxr_string">"27MDUsqHpg0+DTAkBgNVHREEHTAbggkqLmJhci5jb22CDiou6Iqx5a2QLmNvLmpw\n"</span> +
<a class="jxr_linenumber" name="251" href="#251">251</a>           <span class="jxr_string">"MA0GCSqGSIb3DQEBBQUAA4IBAQBobWC+D5/lx6YhX64CwZ26XLjxaE0S415ajbBq\n"</span> +
<a class="jxr_linenumber" name="252" href="#252">252</a>           <span class="jxr_string">"DK7lz+Rg7zOE3GsTAMi+ldUYnhyz0wDiXB8UwKXl0SDToB2Z4GOgqQjAqoMmrP0u\n"</span> +
<a class="jxr_linenumber" name="253" href="#253">253</a>           <span class="jxr_string">"WB6Y6dpkfd1qDRUzI120zPYgSdsXjHW9q2H77iV238hqIU7qCvEz+lfqqWEY504z\n"</span> +
<a class="jxr_linenumber" name="254" href="#254">254</a>           <span class="jxr_string">"hYNlknbUnR525ItosEVwXFBJTkZ3Yw8gg02c19yi8TAh5Li3Ad8XQmmSJMWBV4XK\n"</span> +
<a class="jxr_linenumber" name="255" href="#255">255</a>           <span class="jxr_string">"qFr0AIZKBlg6NZZFf/0dP9zcKhzSriW27bY0XfzA6GSiRDXrDjgXq6baRT6YwgIg\n"</span> +
<a class="jxr_linenumber" name="256" href="#256">256</a>           <span class="jxr_string">"pgJsDbJtZfHnV1nd3M6zOtQPm1TIQpNmMMMd/DPrGcUQerD3\n"</span> +
<a class="jxr_linenumber" name="257" href="#257">257</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="258" href="#258">258</a> 
<a class="jxr_linenumber" name="259" href="#259">259</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="260" href="#260">260</a> <em class="jxr_javadoccomment">     * CN=foo.com, CN=bar.com, CN=&amp;#x82b1;&amp;#x5b50;.co.jp</em>
<a class="jxr_linenumber" name="261" href="#261">261</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="262" href="#262">262</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_THREE_CNS_FOO_BAR_HANAKO = (
<a class="jxr_linenumber" name="263" href="#263">263</a>           <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="264" href="#264">264</a>           <span class="jxr_string">"MIIEbzCCA1egAwIBAgIJAIz+EYMBU6aXMA0GCSqGSIb3DQEBBQUAMIGiMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="265" href="#265">265</a>           <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxEjAQBgNVBAcTCVZhbmNvdXZlcjEWMBQGA1UE\n"</span> +
<a class="jxr_linenumber" name="266" href="#266">266</a>           <span class="jxr_string">"ChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9uc19zc2wxHTAbBgNVBAMU\n"</span> +
<a class="jxr_linenumber" name="267" href="#267">267</a>           <span class="jxr_string">"FGRlbW9faW50ZXJtZWRpYXRlX2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="268" href="#268">268</a>           <span class="jxr_string">"ZXNAZ21haWwuY29tMB4XDTA2MTIxMTE2MTk0NVoXDTI4MTEwNTE2MTk0NVowgc0x\n"</span> +
<a class="jxr_linenumber" name="269" href="#269">269</a>           <span class="jxr_string">"CzAJBgNVBAYTAlVTMREwDwYDVQQIDAhNYXJ5bGFuZDEUMBIGA1UEBwwLRm9yZXN0\n"</span> +
<a class="jxr_linenumber" name="270" href="#270">270</a>           <span class="jxr_string">"IEhpbGwxFzAVBgNVBAoMDmh0dHBjb21wb25lbnRzMRowGAYDVQQLDBF0ZXN0IGNl\n"</span> +
<a class="jxr_linenumber" name="271" href="#271">271</a>           <span class="jxr_string">"cnRpZmljYXRlczEQMA4GA1UEAwwHZm9vLmNvbTEQMA4GA1UEAwwHYmFyLmNvbTEV\n"</span> +
<a class="jxr_linenumber" name="272" href="#272">272</a>           <span class="jxr_string">"MBMGA1UEAwwM6Iqx5a2QLmNvLmpwMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="273" href="#273">273</a>           <span class="jxr_string">"ZXNAZ21haWwuY29tMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAyGOv\n"</span> +
<a class="jxr_linenumber" name="274" href="#274">274</a>           <span class="jxr_string">"loI+jKnRHWKuhYB+cTIEwZhagKJ0f3rIY8WNgujB7PlpgpjUg4pNjYGViGjg7zhf\n"</span> +
<a class="jxr_linenumber" name="275" href="#275">275</a>           <span class="jxr_string">"bjhCtlNGXyRBti3GcaHiBIIP5nyCNn+Ay8tSWGo5v5Zc8BQcwHf0ZHLN6sD9m2uV\n"</span> +
<a class="jxr_linenumber" name="276" href="#276">276</a>           <span class="jxr_string">"Sp/6UqjS5ZyhzF5FzvvUo3xw8fecdnStXQfHhkBnLpTjHE5t7iu1JVjTuE0pcBva\n"</span> +
<a class="jxr_linenumber" name="277" href="#277">277</a>           <span class="jxr_string">"h2dWqDNxiIOQtXyKW8Sag1YxaunxQGqRNykSFiEJindxOSAnAxK6q/wGqcZ3zvFB\n"</span> +
<a class="jxr_linenumber" name="278" href="#278">278</a>           <span class="jxr_string">"TcVVkji1u2QH4rOMP3PPxAIMkB8ONkdHTco1DmbE6BfDHArDqUYxqJUlPGlMqrKb\n"</span> +
<a class="jxr_linenumber" name="279" href="#279">279</a>           <span class="jxr_string">"3fCFiT3eXehwR7nlzQIDAQABo3sweTAJBgNVHRMEAjAAMCwGCWCGSAGG+EIBDQQf\n"</span> +
<a class="jxr_linenumber" name="280" href="#280">280</a>           <span class="jxr_string">"Fh1PcGVuU1NMIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4EFgQUnxR3vz86\n"</span> +
<a class="jxr_linenumber" name="281" href="#281">281</a>           <span class="jxr_string">"tso4gkJIFiza0Mteh9gwHwYDVR0jBBgwFoAUe5raj5CZTlLSrNuzA1LKh6YNPg0w\n"</span> +
<a class="jxr_linenumber" name="282" href="#282">282</a>           <span class="jxr_string">"DQYJKoZIhvcNAQEFBQADggEBAGuZb8ai1NO2j4v3y9TLZvd5s0vh5/TE7n7RX+8U\n"</span> +
<a class="jxr_linenumber" name="283" href="#283">283</a>           <span class="jxr_string">"y37OL5k7x9nt0mM1TyAKxlCcY+9h6frue8MemZIILSIvMrtzccqNz0V1WKgA+Orf\n"</span> +
<a class="jxr_linenumber" name="284" href="#284">284</a>           <span class="jxr_string">"uUrabmn+CxHF5gpy6g1Qs2IjVYWA5f7FROn/J+Ad8gJYc1azOWCLQqSyfpNRLSvY\n"</span> +
<a class="jxr_linenumber" name="285" href="#285">285</a>           <span class="jxr_string">"EriQFEV63XvkJ8JrG62b+2OT2lqT4OO07gSPetppdlSa8NBSKP6Aro9RIX1ZjUZQ\n"</span> +
<a class="jxr_linenumber" name="286" href="#286">286</a>           <span class="jxr_string">"SpQFCfo02NO0uNRDPUdJx2huycdNb+AXHaO7eXevDLJ+QnqImIzxWiY6zLOdzjjI\n"</span> +
<a class="jxr_linenumber" name="287" href="#287">287</a>           <span class="jxr_string">"VBMkLHmnP7SjGSQ3XA4ByrQOxfOUTyLyE7NuemhHppuQPxE=\n"</span> +
<a class="jxr_linenumber" name="288" href="#288">288</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="289" href="#289">289</a> 
<a class="jxr_linenumber" name="290" href="#290">290</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="291" href="#291">291</a> <em class="jxr_javadoccomment">     * subjectAlt=foo.com</em>
<a class="jxr_linenumber" name="292" href="#292">292</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="293" href="#293">293</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_NO_CNS_FOO = (
<a class="jxr_linenumber" name="294" href="#294">294</a>           <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="295" href="#295">295</a>           <span class="jxr_string">"MIIESjCCAzKgAwIBAgIJAIz+EYMBU6aYMA0GCSqGSIb3DQEBBQUAMIGiMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="296" href="#296">296</a>           <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxEjAQBgNVBAcTCVZhbmNvdXZlcjEWMBQGA1UE\n"</span> +
<a class="jxr_linenumber" name="297" href="#297">297</a>           <span class="jxr_string">"ChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9uc19zc2wxHTAbBgNVBAMU\n"</span> +
<a class="jxr_linenumber" name="298" href="#298">298</a>           <span class="jxr_string">"FGRlbW9faW50ZXJtZWRpYXRlX2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZp\n"</span> +
<a class="jxr_linenumber" name="299" href="#299">299</a>           <span class="jxr_string">"ZXNAZ21haWwuY29tMB4XDTA2MTIxMTE2MjYxMFoXDTI4MTEwNTE2MjYxMFowgZIx\n"</span> +
<a class="jxr_linenumber" name="300" href="#300">300</a>           <span class="jxr_string">"CzAJBgNVBAYTAlVTMREwDwYDVQQIDAhNYXJ5bGFuZDEUMBIGA1UEBwwLRm9yZXN0\n"</span> +
<a class="jxr_linenumber" name="301" href="#301">301</a>           <span class="jxr_string">"IEhpbGwxFzAVBgNVBAoMDmh0dHBjb21wb25lbnRzMRowGAYDVQQLDBF0ZXN0IGNl\n"</span> +
<a class="jxr_linenumber" name="302" href="#302">302</a>           <span class="jxr_string">"cnRpZmljYXRlczElMCMGCSqGSIb3DQEJARYWanVsaXVzZGF2aWVzQGdtYWlsLmNv\n"</span> +
<a class="jxr_linenumber" name="303" href="#303">303</a>           <span class="jxr_string">"bTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAMhjr5aCPoyp0R1iroWA\n"</span> +
<a class="jxr_linenumber" name="304" href="#304">304</a>           <span class="jxr_string">"fnEyBMGYWoCidH96yGPFjYLowez5aYKY1IOKTY2BlYho4O84X244QrZTRl8kQbYt\n"</span> +
<a class="jxr_linenumber" name="305" href="#305">305</a>           <span class="jxr_string">"xnGh4gSCD+Z8gjZ/gMvLUlhqOb+WXPAUHMB39GRyzerA/ZtrlUqf+lKo0uWcocxe\n"</span> +
<a class="jxr_linenumber" name="306" href="#306">306</a>           <span class="jxr_string">"Rc771KN8cPH3nHZ0rV0Hx4ZAZy6U4xxObe4rtSVY07hNKXAb2odnVqgzcYiDkLV8\n"</span> +
<a class="jxr_linenumber" name="307" href="#307">307</a>           <span class="jxr_string">"ilvEmoNWMWrp8UBqkTcpEhYhCYp3cTkgJwMSuqv8BqnGd87xQU3FVZI4tbtkB+Kz\n"</span> +
<a class="jxr_linenumber" name="308" href="#308">308</a>           <span class="jxr_string">"jD9zz8QCDJAfDjZHR03KNQ5mxOgXwxwKw6lGMaiVJTxpTKqym93whYk93l3ocEe5\n"</span> +
<a class="jxr_linenumber" name="309" href="#309">309</a>           <span class="jxr_string">"5c0CAwEAAaOBkDCBjTAJBgNVHRMEAjAAMCwGCWCGSAGG+EIBDQQfFh1PcGVuU1NM\n"</span> +
<a class="jxr_linenumber" name="310" href="#310">310</a>           <span class="jxr_string">"IEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4EFgQUnxR3vz86tso4gkJIFiza\n"</span> +
<a class="jxr_linenumber" name="311" href="#311">311</a>           <span class="jxr_string">"0Mteh9gwHwYDVR0jBBgwFoAUe5raj5CZTlLSrNuzA1LKh6YNPg0wEgYDVR0RBAsw\n"</span> +
<a class="jxr_linenumber" name="312" href="#312">312</a>           <span class="jxr_string">"CYIHZm9vLmNvbTANBgkqhkiG9w0BAQUFAAOCAQEAjl78oMjzFdsMy6F1sGg/IkO8\n"</span> +
<a class="jxr_linenumber" name="313" href="#313">313</a>           <span class="jxr_string">"tF5yUgPgFYrs41yzAca7IQu6G9qtFDJz/7ehh/9HoG+oqCCIHPuIOmS7Sd0wnkyJ\n"</span> +
<a class="jxr_linenumber" name="314" href="#314">314</a>           <span class="jxr_string">"Y7Y04jVXIb3a6f6AgBkEFP1nOT0z6kjT7vkA5LJ2y3MiDcXuRNMSta5PYVnrX8aZ\n"</span> +
<a class="jxr_linenumber" name="315" href="#315">315</a>           <span class="jxr_string">"yiqVUNi40peuZ2R8mAUSBvWgD7z2qWhF8YgDb7wWaFjg53I36vWKn90ZEti3wNCw\n"</span> +
<a class="jxr_linenumber" name="316" href="#316">316</a>           <span class="jxr_string">"qAVqixM+J0qJmQStgAc53i2aTMvAQu3A3snvH/PHTBo+5UL72n9S1kZyNCsVf1Qo\n"</span> +
<a class="jxr_linenumber" name="317" href="#317">317</a>           <span class="jxr_string">"n8jKTiRriEM+fMFlcgQP284EBFzYHyCXFb9O/hMjK2+6mY9euMB1U1aFFzM/Bg==\n"</span> +
<a class="jxr_linenumber" name="318" href="#318">318</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="319" href="#319">319</a> 
<a class="jxr_linenumber" name="320" href="#320">320</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="321" href="#321">321</a> <em class="jxr_javadoccomment">     * Intermediate CA for all of these.</em>
<a class="jxr_linenumber" name="322" href="#322">322</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="323" href="#323">323</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_INTERMEDIATE_CA = (
<a class="jxr_linenumber" name="324" href="#324">324</a>           <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="325" href="#325">325</a>           <span class="jxr_string">"MIIEnDCCA4SgAwIBAgIJAJTNwZ6yNa5cMA0GCSqGSIb3DQEBBQUAMIGGMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="326" href="#326">326</a>           <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxFjAUBgNVBAoTDXd3dy5jdWNiYy5jb20xFDAS\n"</span> +
<a class="jxr_linenumber" name="327" href="#327">327</a>           <span class="jxr_string">"BgNVBAsUC2NvbW1vbnNfc3NsMRUwEwYDVQQDFAxkZW1vX3Jvb3RfY2ExJTAjBgkq\n"</span> +
<a class="jxr_linenumber" name="328" href="#328">328</a>           <span class="jxr_string">"hkiG9w0BCQEWFmp1bGl1c2Rhdmllc0BnbWFpbC5jb20wHhcNMDYxMTA1MjE0OTMx\n"</span> +
<a class="jxr_linenumber" name="329" href="#329">329</a>           <span class="jxr_string">"WhcNMDcxMTA1MjE0OTMxWjCBojELMAkGA1UEBhMCQ0ExCzAJBgNVBAgTAkJDMRIw\n"</span> +
<a class="jxr_linenumber" name="330" href="#330">330</a>           <span class="jxr_string">"EAYDVQQHEwlWYW5jb3V2ZXIxFjAUBgNVBAoTDXd3dy5jdWNiYy5jb20xFDASBgNV\n"</span> +
<a class="jxr_linenumber" name="331" href="#331">331</a>           <span class="jxr_string">"BAsUC2NvbW1vbnNfc3NsMR0wGwYDVQQDFBRkZW1vX2ludGVybWVkaWF0ZV9jYTEl\n"</span> +
<a class="jxr_linenumber" name="332" href="#332">332</a>           <span class="jxr_string">"MCMGCSqGSIb3DQEJARYWanVsaXVzZGF2aWVzQGdtYWlsLmNvbTCCASIwDQYJKoZI\n"</span> +
<a class="jxr_linenumber" name="333" href="#333">333</a>           <span class="jxr_string">"hvcNAQEBBQADggEPADCCAQoCggEBAL0S4y3vUO0EM6lwqOEfK8fvrUprIbsikXaG\n"</span> +
<a class="jxr_linenumber" name="334" href="#334">334</a>           <span class="jxr_string">"XzejcZ+T3l2Dc7t8WtBfRf78i4JypMqJQSijrUicj3H6mOMIReKaXm6ls4hA5d8w\n"</span> +
<a class="jxr_linenumber" name="335" href="#335">335</a>           <span class="jxr_string">"Lhmgiqsz/kW+gA8SeWGWRN683BD/RbQmzOls6ynBvap9jZlthXWBrSIlPCQoBLXY\n"</span> +
<a class="jxr_linenumber" name="336" href="#336">336</a>           <span class="jxr_string">"KVaxGzbL4ezaq+XFMKMQSm2uKwVmHHQNbfmZlPsuendBVomb/ked53Ab9IH6dwwN\n"</span> +
<a class="jxr_linenumber" name="337" href="#337">337</a>           <span class="jxr_string">"qJH9WIrvIzIVEXWlpvQ5MCqozM7u1akU+G8cazr8theGPCaYkzoXnigWua4OjdpV\n"</span> +
<a class="jxr_linenumber" name="338" href="#338">338</a>           <span class="jxr_string">"9z5ZDknhfBzG1AjapdG07FIirwWWgIyZXqZSD96ikmLtwT29qnsCAwEAAaOB7jCB\n"</span> +
<a class="jxr_linenumber" name="339" href="#339">339</a>           <span class="jxr_string">"6zAdBgNVHQ4EFgQUe5raj5CZTlLSrNuzA1LKh6YNPg0wgbsGA1UdIwSBszCBsIAU\n"</span> +
<a class="jxr_linenumber" name="340" href="#340">340</a>           <span class="jxr_string">"rN8eFIvMiRFXXgDqKumS0/W2AhOhgYykgYkwgYYxCzAJBgNVBAYTAkNBMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="341" href="#341">341</a>           <span class="jxr_string">"VQQIEwJCQzEWMBQGA1UEChMNd3d3LmN1Y2JjLmNvbTEUMBIGA1UECxQLY29tbW9u\n"</span> +
<a class="jxr_linenumber" name="342" href="#342">342</a>           <span class="jxr_string">"c19zc2wxFTATBgNVBAMUDGRlbW9fcm9vdF9jYTElMCMGCSqGSIb3DQEJARYWanVs\n"</span> +
<a class="jxr_linenumber" name="343" href="#343">343</a>           <span class="jxr_string">"aXVzZGF2aWVzQGdtYWlsLmNvbYIJAJTNwZ6yNa5bMAwGA1UdEwQFMAMBAf8wDQYJ\n"</span> +
<a class="jxr_linenumber" name="344" href="#344">344</a>           <span class="jxr_string">"KoZIhvcNAQEFBQADggEBAIB4KMZvHD20pdKajFtMBpL7X4W4soq6EeTtjml3NYa9\n"</span> +
<a class="jxr_linenumber" name="345" href="#345">345</a>           <span class="jxr_string">"Qc52bsQEGNccKY9afYSBIndaQvFdtmz6HdoN+B8TjYShw2KhyjtKimGLpWYoi1YF\n"</span> +
<a class="jxr_linenumber" name="346" href="#346">346</a>           <span class="jxr_string">"e4aHdmA/Gp5xk8pZzR18FmooxC9RqBux+NAM2iTFSLgDtGIIj4sg2rbn6Bb6ZlQT\n"</span> +
<a class="jxr_linenumber" name="347" href="#347">347</a>           <span class="jxr_string">"1rg6VucXCA1629lNfMeNcu7CBNmUKIdaxHR/YJQallE0KfGRiOIWPrPj/VNk0YA6\n"</span> +
<a class="jxr_linenumber" name="348" href="#348">348</a>           <span class="jxr_string">"XFg0ocjqXJ2/N0N9rWVshMUaXgOh7m4D/5zga5/nuxDU+PoToA6mQ4bV6eCYqZbh\n"</span> +
<a class="jxr_linenumber" name="349" href="#349">349</a>           <span class="jxr_string">"aa1kQYtR9B4ZiG6pB82qVc2dCqStOH2FAEWos2gAVkQ=\n"</span> +
<a class="jxr_linenumber" name="350" href="#350">350</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="351" href="#351">351</a> 
<a class="jxr_linenumber" name="352" href="#352">352</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="353" href="#353">353</a> <em class="jxr_javadoccomment">     * Root CA for all of these.</em>
<a class="jxr_linenumber" name="354" href="#354">354</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="355" href="#355">355</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_ROOT_CA = (
<a class="jxr_linenumber" name="356" href="#356">356</a>           <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="357" href="#357">357</a>           <span class="jxr_string">"MIIEgDCCA2igAwIBAgIJAJTNwZ6yNa5bMA0GCSqGSIb3DQEBBQUAMIGGMQswCQYD\n"</span> +
<a class="jxr_linenumber" name="358" href="#358">358</a>           <span class="jxr_string">"VQQGEwJDQTELMAkGA1UECBMCQkMxFjAUBgNVBAoTDXd3dy5jdWNiYy5jb20xFDAS\n"</span> +
<a class="jxr_linenumber" name="359" href="#359">359</a>           <span class="jxr_string">"BgNVBAsUC2NvbW1vbnNfc3NsMRUwEwYDVQQDFAxkZW1vX3Jvb3RfY2ExJTAjBgkq\n"</span> +
<a class="jxr_linenumber" name="360" href="#360">360</a>           <span class="jxr_string">"hkiG9w0BCQEWFmp1bGl1c2Rhdmllc0BnbWFpbC5jb20wHhcNMDYxMTA1MjEzNjQz\n"</span> +
<a class="jxr_linenumber" name="361" href="#361">361</a>           <span class="jxr_string">"WhcNMjYxMTA1MjEzNjQzWjCBhjELMAkGA1UEBhMCQ0ExCzAJBgNVBAgTAkJDMRYw\n"</span> +
<a class="jxr_linenumber" name="362" href="#362">362</a>           <span class="jxr_string">"FAYDVQQKEw13d3cuY3VjYmMuY29tMRQwEgYDVQQLFAtjb21tb25zX3NzbDEVMBMG\n"</span> +
<a class="jxr_linenumber" name="363" href="#363">363</a>           <span class="jxr_string">"A1UEAxQMZGVtb19yb290X2NhMSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZpZXNA\n"</span> +
<a class="jxr_linenumber" name="364" href="#364">364</a>           <span class="jxr_string">"Z21haWwuY29tMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAv+OnocmJ\n"</span> +
<a class="jxr_linenumber" name="365" href="#365">365</a>           <span class="jxr_string">"79UeO2hlCwK+Cle5uZWnU6uwJl+08z5cvebb5tT64WL9+psDbfgUH/Gm9JsuxKTg\n"</span> +
<a class="jxr_linenumber" name="366" href="#366">366</a>           <span class="jxr_string">"w1tZO/4duIgnaLNSx4HoqaTjwigd/hR3TsoGEPXTCkz1ikgTCOEDvl+iMid6aOrd\n"</span> +
<a class="jxr_linenumber" name="367" href="#367">367</a>           <span class="jxr_string">"mViE8HhscxKZ+h5FE7oHZyuT6gFoiaIXhFq+xK2w4ZwDz9L+paiwqywyUJJMnh9U\n"</span> +
<a class="jxr_linenumber" name="368" href="#368">368</a>           <span class="jxr_string">"jKorY+nua81N0oxpIhHPspCanDU4neMzCzYOZyLR/LqV5xORvHcFY84GWMz5hI25\n"</span> +
<a class="jxr_linenumber" name="369" href="#369">369</a>           <span class="jxr_string">"JbgaWJsYKuCAvNsnQwVoqKPGa7x1fn7x6oGsXJaCVt8weUwIj2xwg1lxMhrNaisH\n"</span> +
<a class="jxr_linenumber" name="370" href="#370">370</a>           <span class="jxr_string">"EvKpEAEnGGwWKQIDAQABo4HuMIHrMB0GA1UdDgQWBBSs3x4Ui8yJEVdeAOoq6ZLT\n"</span> +
<a class="jxr_linenumber" name="371" href="#371">371</a>           <span class="jxr_string">"9bYCEzCBuwYDVR0jBIGzMIGwgBSs3x4Ui8yJEVdeAOoq6ZLT9bYCE6GBjKSBiTCB\n"</span> +
<a class="jxr_linenumber" name="372" href="#372">372</a>           <span class="jxr_string">"hjELMAkGA1UEBhMCQ0ExCzAJBgNVBAgTAkJDMRYwFAYDVQQKEw13d3cuY3VjYmMu\n"</span> +
<a class="jxr_linenumber" name="373" href="#373">373</a>           <span class="jxr_string">"Y29tMRQwEgYDVQQLFAtjb21tb25zX3NzbDEVMBMGA1UEAxQMZGVtb19yb290X2Nh\n"</span> +
<a class="jxr_linenumber" name="374" href="#374">374</a>           <span class="jxr_string">"MSUwIwYJKoZIhvcNAQkBFhZqdWxpdXNkYXZpZXNAZ21haWwuY29tggkAlM3BnrI1\n"</span> +
<a class="jxr_linenumber" name="375" href="#375">375</a>           <span class="jxr_string">"rlswDAYDVR0TBAUwAwEB/zANBgkqhkiG9w0BAQUFAAOCAQEAlPl3/8h1LttR1svC\n"</span> +
<a class="jxr_linenumber" name="376" href="#376">376</a>           <span class="jxr_string">"S8RXbHpAWIT2BEDhGHUNjSmgDQNkE/itf/FCEXh0tlU4bYdtBSOHzflbnzOyIPId\n"</span> +
<a class="jxr_linenumber" name="377" href="#377">377</a>           <span class="jxr_string">"VZeSWs33V38xDFy6KoVg1gT8JxkLmE5S1vWkpsHIlpw/U6r7KD0Kx9FYx5AiXjw0\n"</span> +
<a class="jxr_linenumber" name="378" href="#378">378</a>           <span class="jxr_string">"lzz/zlVNuO2U09KIDwDPVG1mBzQiMiSWj1U1pM4KxINkWQwDy/fvu/I983s8lW5z\n"</span> +
<a class="jxr_linenumber" name="379" href="#379">379</a>           <span class="jxr_string">"hf2WuFNzQN3fcMK5dpBE9NVIu27oYuGYh2sak34v+7T700W2ooBB71qFXtm9P5rl\n"</span> +
<a class="jxr_linenumber" name="380" href="#380">380</a>           <span class="jxr_string">"Yp9RCEsg3KEEPNTtCBs8fROeXvLDrP0cmBIqwGYDuRNCxFDTOdjv6YGdA8nLOjaH\n"</span> +
<a class="jxr_linenumber" name="381" href="#381">381</a>           <span class="jxr_string">"2dDk0g==\n"</span> +
<a class="jxr_linenumber" name="382" href="#382">382</a>           <span class="jxr_string">"-----END CERTIFICATE-----\n"</span>).getBytes();
<a class="jxr_linenumber" name="383" href="#383">383</a> 
<a class="jxr_linenumber" name="384" href="#384">384</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="385" href="#385">385</a> <em class="jxr_javadoccomment">     * Below is the private key for all the server certificates above (but</em>
<a class="jxr_linenumber" name="386" href="#386">386</a> <em class="jxr_javadoccomment">     * not the intermediate CA or the root CA).  All of those server certs</em>
<a class="jxr_linenumber" name="387" href="#387">387</a> <em class="jxr_javadoccomment">     * came from the same private key.</em>
<a class="jxr_linenumber" name="388" href="#388">388</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="389" href="#389">389</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> String RSA_PUBLIC_MODULUS =
<a class="jxr_linenumber" name="390" href="#390">390</a>           <span class="jxr_string">"00c863af96823e8ca9d11d62ae85807e713204c1985a80a2747f7ac863c5"</span> +
<a class="jxr_linenumber" name="391" href="#391">391</a>           <span class="jxr_string">"8d82e8c1ecf9698298d4838a4d8d81958868e0ef385f6e3842b653465f24"</span> +
<a class="jxr_linenumber" name="392" href="#392">392</a>           <span class="jxr_string">"41b62dc671a1e204820fe67c82367f80cbcb52586a39bf965cf0141cc077"</span> +
<a class="jxr_linenumber" name="393" href="#393">393</a>           <span class="jxr_string">"f46472cdeac0fd9b6b954a9ffa52a8d2e59ca1cc5e45cefbd4a37c70f1f7"</span> +
<a class="jxr_linenumber" name="394" href="#394">394</a>           <span class="jxr_string">"9c7674ad5d07c78640672e94e31c4e6dee2bb52558d3b84d29701bda8767"</span> +
<a class="jxr_linenumber" name="395" href="#395">395</a>           <span class="jxr_string">"56a83371888390b57c8a5bc49a8356316ae9f1406a913729121621098a77"</span> +
<a class="jxr_linenumber" name="396" href="#396">396</a>           <span class="jxr_string">"713920270312baabfc06a9c677cef1414dc5559238b5bb6407e2b38c3f73"</span> +
<a class="jxr_linenumber" name="397" href="#397">397</a>           <span class="jxr_string">"cfc4020c901f0e3647474dca350e66c4e817c31c0ac3a94631a895253c69"</span> +
<a class="jxr_linenumber" name="398" href="#398">398</a>           <span class="jxr_string">"4caab29bddf085893dde5de87047b9e5cd"</span>;
<a class="jxr_linenumber" name="399" href="#399">399</a> 
<a class="jxr_linenumber" name="400" href="#400">400</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> String RSA_PUBLIC_EXPONENT = <span class="jxr_string">"65537"</span>;
<a class="jxr_linenumber" name="401" href="#401">401</a> 
<a class="jxr_linenumber" name="402" href="#402">402</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> String RSA_PRIVATE_EXPONENT =
<a class="jxr_linenumber" name="403" href="#403">403</a>           <span class="jxr_string">"577abd3295553d0efd4d38c13b62a6d03fa7b7e40cce4f1d5071877d96c6"</span> +
<a class="jxr_linenumber" name="404" href="#404">404</a>           <span class="jxr_string">"7a39a63f0f7ab21a89db8acae45587b3ef251309a70f74dc1ac02bde68f3"</span> +
<a class="jxr_linenumber" name="405" href="#405">405</a>           <span class="jxr_string">"8ed658e54e685ed370a18c054449512ea66a2252ed36e82b565b5159ec83"</span> +
<a class="jxr_linenumber" name="406" href="#406">406</a>           <span class="jxr_string">"f23df40ae189550a183865b25fd77789e960f0d8cedcd72f32d7a66edb4b"</span> +
<a class="jxr_linenumber" name="407" href="#407">407</a>           <span class="jxr_string">"a0a2baf3fbeb6c7d75f56ef0af9a7cff1c8c7f297d72eae7982164e50a89"</span> +
<a class="jxr_linenumber" name="408" href="#408">408</a>           <span class="jxr_string">"d450698cf598d39343201094241d2d180a95882a7111e58f4a5bdbc5c125"</span> +
<a class="jxr_linenumber" name="409" href="#409">409</a>           <span class="jxr_string">"a967dd6ed9ec614c5853e88e4c71e8b682a7cf89cb1d82b6fe78cc865084"</span> +
<a class="jxr_linenumber" name="410" href="#410">410</a>           <span class="jxr_string">"c8c5dfbb50c939df2b839c977b0245bfa3615e0592b527b1013d5b675ecb"</span> +
<a class="jxr_linenumber" name="411" href="#411">411</a>           <span class="jxr_string">"44e6b355c1df581f50997175166eef39"</span>;
<a class="jxr_linenumber" name="412" href="#412">412</a> 
<a class="jxr_linenumber" name="413" href="#413">413</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> String RSA_PRIME1 =
<a class="jxr_linenumber" name="414" href="#414">414</a>           <span class="jxr_string">"00fe759c4f0ce8b763880215e82767e7a937297668f4e4b1e119c6b22a3c"</span> +
<a class="jxr_linenumber" name="415" href="#415">415</a>           <span class="jxr_string">"a2c7b06c547d88d0aa45f645d7d3aeadaf7f8bc594deae0978529592977c"</span> +
<a class="jxr_linenumber" name="416" href="#416">416</a>           <span class="jxr_string">"b1ff890f05033a9e9e15551cad9fbf9c41d12139ccd99c1c3ac7b2197eff"</span> +
<a class="jxr_linenumber" name="417" href="#417">417</a>           <span class="jxr_string">"350d236bb900c1440953b64956e0a058ef824a2e16894af175177c77dbe1"</span> +
<a class="jxr_linenumber" name="418" href="#418">418</a>           <span class="jxr_string">"fef7d8b532608d2513"</span>;
<a class="jxr_linenumber" name="419" href="#419">419</a> 
<a class="jxr_linenumber" name="420" href="#420">420</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> String RSA_PRIME2 =
<a class="jxr_linenumber" name="421" href="#421">421</a>           <span class="jxr_string">"00c99a45878737a4cf73f9896680b75487f1b669b7686a6ba07103856f31"</span> +
<a class="jxr_linenumber" name="422" href="#422">422</a>           <span class="jxr_string">"db668c2c440c44cdd116f708f631c37a9adf119f5b5cb58ffe3dc62e20af"</span> +
<a class="jxr_linenumber" name="423" href="#423">423</a>           <span class="jxr_string">"af72693d936dc6bb3c5194996468389c1f094079b81522e94572b4ad7d39"</span> +
<a class="jxr_linenumber" name="424" href="#424">424</a>           <span class="jxr_string">"529178e9b8ebaeb1f0fdd83b8731c5223f1dea125341d1d64917f6b1a6ae"</span> +
<a class="jxr_linenumber" name="425" href="#425">425</a>           <span class="jxr_string">"c18d320510d79f859f"</span>;
<a class="jxr_linenumber" name="426" href="#426">426</a> 
<a class="jxr_linenumber" name="427" href="#427">427</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> String RSA_EXPONENT1 =
<a class="jxr_linenumber" name="428" href="#428">428</a>           <span class="jxr_string">"029febf0d4cd41b7011c2465b4a259bd6118486464c247236f44a169d61e"</span> +
<a class="jxr_linenumber" name="429" href="#429">429</a>           <span class="jxr_string">"47b9062508f674508d5031003ceabc57e714e600d71b2c75d5443db2da52"</span> +
<a class="jxr_linenumber" name="430" href="#430">430</a>           <span class="jxr_string">"6bb45a374f0537c5a1aab3150764ce93cf386c84346a6bd01f6732e42075"</span> +
<a class="jxr_linenumber" name="431" href="#431">431</a>           <span class="jxr_string">"c7a0e9e78a9e73b934e7d871d0f75673820089e129a1604438edcbbeb4e2"</span> +
<a class="jxr_linenumber" name="432" href="#432">432</a>           <span class="jxr_string">"106467da112ce389"</span>;
<a class="jxr_linenumber" name="433" href="#433">433</a> 
<a class="jxr_linenumber" name="434" href="#434">434</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> String RSA_EXPONENT2 =
<a class="jxr_linenumber" name="435" href="#435">435</a>           <span class="jxr_string">"00827e76650c946afcd170038d32e1f8386ab00d6be78d830efe382e45d4"</span> +
<a class="jxr_linenumber" name="436" href="#436">436</a>           <span class="jxr_string">"7ad4bd04e6231ee22e66740efbf52838134932c9f8c460cdccdec58a1424"</span> +
<a class="jxr_linenumber" name="437" href="#437">437</a>           <span class="jxr_string">"4427859192fd6ab6c58b74e97941b0eaf577f2a11713af5e5952af3ae124"</span> +
<a class="jxr_linenumber" name="438" href="#438">438</a>           <span class="jxr_string">"9a9a892e98410dfa2628d9af668a43b5302fb7d496c9b2fec69f595292b6"</span> +
<a class="jxr_linenumber" name="439" href="#439">439</a>           <span class="jxr_string">"e997f079b0f6314eb7"</span>;
<a class="jxr_linenumber" name="440" href="#440">440</a> 
<a class="jxr_linenumber" name="441" href="#441">441</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> String RSA_COEFFICIENT =
<a class="jxr_linenumber" name="442" href="#442">442</a>           <span class="jxr_string">"00e6b62add350f1a2a8968903ff76c31cf703b0d7326c4a620aef01225b7"</span> +
<a class="jxr_linenumber" name="443" href="#443">443</a>           <span class="jxr_string">"1640b3f2ec375208c5f7299863f6005b7799b6e529bb1133c8435bf5fdb5"</span> +
<a class="jxr_linenumber" name="444" href="#444">444</a>           <span class="jxr_string">"a786f6cd8a19ee7094a384e6557c600a38845a0960ddbfd1df18d0af5740"</span> +
<a class="jxr_linenumber" name="445" href="#445">445</a>           <span class="jxr_string">"001853788f1b5ccbf9affb4c52c9d2efdb8aab0183d86735b32737fb4e79"</span> +
<a class="jxr_linenumber" name="446" href="#446">446</a>           <span class="jxr_string">"2b8a9c7d91c7d175ae"</span>;
<a class="jxr_linenumber" name="447" href="#447">447</a> 
<a class="jxr_linenumber" name="448" href="#448">448</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="449" href="#449">449</a> <em class="jxr_javadoccomment">     * subjectAlt=IP Address:127.0.0.1, email:oleg@ural.ru, DNS:localhost.localdomain</em>
<a class="jxr_linenumber" name="450" href="#450">450</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="451" href="#451">451</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">static</strong> byte[] X509_MULTIPLE_SUBJECT_ALT = (
<a class="jxr_linenumber" name="452" href="#452">452</a>         <span class="jxr_string">"-----BEGIN CERTIFICATE-----\n"</span> +
<a class="jxr_linenumber" name="453" href="#453">453</a>         <span class="jxr_string">"MIIDcTCCAtqgAwIBAgIBATANBgkqhkiG9w0BAQUFADBAMQswCQYDVQQGEwJDSDEL\n"</span> +
<a class="jxr_linenumber" name="454" href="#454">454</a>         <span class="jxr_string">"MAkGA1UECBMCWkgxDzANBgNVBAcTBlp1cmljaDETMBEGA1UEAxMKTXkgVGVzdCBD\n"</span> +
<a class="jxr_linenumber" name="455" href="#455">455</a>         <span class="jxr_string">"QTAeFw0wODEwMzExMTU3NDVaFw0wOTEwMzExMTU3NDVaMGkxCzAJBgNVBAYTAkNI\n"</span> +
<a class="jxr_linenumber" name="456" href="#456">456</a>         <span class="jxr_string">"MRAwDgYDVQQIEwdVbmtub3duMRAwDgYDVQQHEwdVbmtub3duMRAwDgYDVQQKEwdV\n"</span> +
<a class="jxr_linenumber" name="457" href="#457">457</a>         <span class="jxr_string">"bmtub3duMRAwDgYDVQQLEwdVbmtub3duMRIwEAYDVQQDEwlsb2NhbGhvc3QwggG4\n"</span> +
<a class="jxr_linenumber" name="458" href="#458">458</a>         <span class="jxr_string">"MIIBLAYHKoZIzjgEATCCAR8CgYEA/X9TgR11EilS30qcLuzk5/YRt1I870QAwx4/\n"</span> +
<a class="jxr_linenumber" name="459" href="#459">459</a>         <span class="jxr_string">"gLZRJmlFXUAiUftZPY1Y+r/F9bow9subVWzXgTuAHTRv8mZgt2uZUKWkn5/oBHsQ\n"</span> +
<a class="jxr_linenumber" name="460" href="#460">460</a>         <span class="jxr_string">"IsJPu6nX/rfGG/g7V+fGqKYVDwT7g/bTxR7DAjVUE1oWkTL2dfOuK2HXKu/yIgMZ\n"</span> +
<a class="jxr_linenumber" name="461" href="#461">461</a>         <span class="jxr_string">"ndFIAccCFQCXYFCPFSMLzLKSuYKi64QL8Fgc9QKBgQD34aCF1ps93su8q1w2uFe5\n"</span> +
<a class="jxr_linenumber" name="462" href="#462">462</a>         <span class="jxr_string">"eZSvu/o66oL5V0wLPQeCZ1FZV4661FlP5nEHEIGAtEkWcSPoTCgWE7fPCTKMyKbh\n"</span> +
<a class="jxr_linenumber" name="463" href="#463">463</a>         <span class="jxr_string">"PBZ6i1R8jSjgo64eK7OmdZFuo38L+iE1YvH7YnoBJDvMpPG+qFGQiaiD3+Fa5Z8G\n"</span> +
<a class="jxr_linenumber" name="464" href="#464">464</a>         <span class="jxr_string">"kotmXoB7VSVkAUw7/s9JKgOBhQACgYEA6ogAb/YLM1Rz9AoXKW4LA70VtFf7Mqqp\n"</span> +
<a class="jxr_linenumber" name="465" href="#465">465</a>         <span class="jxr_string">"divdu9f72WQc1vMKo1YMf3dQadkMfBYRvAAa1IXDnoiFCHhXnVRkWkoUBJyNebLB\n"</span> +
<a class="jxr_linenumber" name="466" href="#466">466</a>         <span class="jxr_string">"N92CZc0RVFZiMFgQMEh8UldnvAIi4cBk0/YuN3BGl4MzmquVIGrFovdWGqeaveOu\n"</span> +
<a class="jxr_linenumber" name="467" href="#467">467</a>         <span class="jxr_string">"Xcu4lKGJNiqjODA2MDQGA1UdEQQtMCuHBH8AAAGBDG9sZWdAdXJhbC5ydYIVbG9j\n"</span> +
<a class="jxr_linenumber" name="468" href="#468">468</a>         <span class="jxr_string">"YWxob3N0LmxvY2FsZG9tYWluMA0GCSqGSIb3DQEBBQUAA4GBAIgEwIoCSRkU3O7K\n"</span> +
<a class="jxr_linenumber" name="469" href="#469">469</a>         <span class="jxr_string">"USYaOYyfJB9hsvs6YpClvYXiQ/5kPGARP60pM62v4wC7wI9shEizokIAxY2+O3cC\n"</span> +
<a class="jxr_linenumber" name="470" href="#470">470</a>         <span class="jxr_string">"vwuJhNYaa2FJMELIwRN3XES8X8R6JHWbPaRjaAAPhczuEd8SZYy8yiVLmJTgw0gH\n"</span> +
<a class="jxr_linenumber" name="471" href="#471">471</a>         <span class="jxr_string">"BSW775NHlkjsscFVgXkNf0PobqJ9\n"</span> +
<a class="jxr_linenumber" name="472" href="#472">472</a>         <span class="jxr_string">"-----END CERTIFICATE-----"</span>).getBytes();
<a class="jxr_linenumber" name="473" href="#473">473</a> 
<a class="jxr_linenumber" name="474" href="#474">474</a> }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

